Hello,
Since Rhino6 i keep getting errors when trying to use radial dimension from rhino common.
This code results in an error:
In Grasshopper:
FabTools, “Diameter Dimention” component doesn’t work anymore
Elefront, “Define Radial Dimension” older component version doesn’t work anymore, but updated version for Rhino6 works
There has been a similar post with a similar issue a couple of days ago… looks like something has been changed in Rhino 6 but not updated in the documentation maybe?
Hello Dale,
Thank you for the reply. I cant seem to get it to work, the radial_dimension in the example below returns “None”.
I would appreciate if you have some time to post a working example.
import rhinoscriptsyntax as rs
import Rhino
from Rhino.Commands import *
from Rhino.Geometry import *
from Rhino import *
from Rhino.DocObjects import *
import scriptcontext
style = scriptcontext.doc.DimStyles.Current
print style
align = Rhino.Geometry.AnnotationType.Aligned
print align
plane = rs.WorldXYPlane()
print plane
radial_dimension = Rhino.Geometry.RadialDimension.Create(style,align,plane,Point3d(0,0,0), Point3d(10,0,0), Point3d(5,0,0))
print radial_dimension
myDim=scriptcontext.doc.Objects.AddRadialDimension(radial_dimension)